> ## Documentation Index
> Fetch the complete documentation index at: https://developer.payrollintegrations.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Update Group

> Retrieves the latest status of an existing update group



## OpenAPI

````yaml GET /v1/employer-identifiers/{employer_identifier}/update-groups/{update_group}
openapi: 3.1.0
info:
  title: Payroll Integrations Public API
  description: Public API for Payroll Integrations platform
  version: '2025-10-28T20:05:03Z'
  license:
    name: MIT
servers:
  - url: https://api.payrollintegrationsapp.com
    description: Prod environment
  - url: https://demo1-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo2-api.payrollintegrationsdemo.com
    description: Demo environment
  - url: https://demo3-api.payrollintegrationsdemo.com
    description: Demo environment
security:
  - bearerAuth: []
paths:
  /v1/employer-identifiers/{employer_identifier}/update-groups/{update_group}:
    get:
      tags:
        - Employee Updates
      description: Retrieves the latest status of an existing update group
      operationId: getUpdateGroup
      parameters:
        - name: employer_identifier
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: ID of the employer identifier
        - name: update_group
          in: path
          description: UUID of the update transaction
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Latest status of an update group
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUpdateGroupResponse'
              example:
                updateGroupStatus:
                  updateGroupId: 00000000-0000-0000-0000-000000000000
                  uploadDate: '2026-01-31T13:43:46.419Z'
                  errorCount: 0
        '401':
          description: Unauthorized - authentication credentials are missing or invalid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found - Employer identifier or update group does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GetUpdateGroupResponse:
      type: object
      required:
        - updateGroupStatus
      properties:
        updateGroupStatus:
          $ref: '#/components/schemas/UpdateGroupStatus'
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Error message describing what went wrong
        errors:
          type: array
          description: Optional array of detailed error messages
          items:
            type: string
    UpdateGroupStatus:
      type: object
      required:
        - updateGroupId
        - uploadDate
        - errorCount
      properties:
        updateGroupId:
          type: string
          format: uuid
          description: The UUID representing the update group
        uploadDate:
          type: string
          format: date-time
          description: The time at which the update group was uploaded
        errorCount:
          type: integer
          minimum: 0
          description: >-
            The number of errors that occurred while the update group was being
            processed

````